module.exports = {
	publicPath: "./",
    devServer: {
		// 后端请求转发，此配置仅开发环境有效，生产环境请参考生产环境部署文档配置nginx转发
		proxy: {
			// '/wx': {
			'/': {
				target: 'http://localhost:80/'
				// target: 'http://localhost:8080/'
				// target: 'http://154.8.196.128:8080/'
			}
		},
		port:8001
	},
	configureWebpack:{
		devServer: {
			historyApiFallback: true,
			allowedHosts:"all",
		}
	},
	chainWebpack: config => {
		// 移除 prefetch 插件
		config.plugins.delete('prefetch')
	},

	outputDir: undefined,
	assetsDir: undefined,
	runtimeCompiler: undefined,
	productionSourceMap: false,
	parallel: undefined,
	css: undefined
}